Download

Download Bootstrap to get the compiled CSS and JavaScript, source code, or include it with your favorite package managers like npm, RubyGems, and more.

Compiled CSS and JS

Download ready-to-use compiled code for Bootstrap v4.3.1亚洲成人AV 日韩成人a V to easily drop into your project, which includes:

  • Compiled and minified CSS bundles (see CSS files comparison)
  • Compiled and minified JavaScript plugins

亚洲成人AV 日韩成人a VThis doesn’t include documentation, source files, or any optional JavaScript dependencies (jQuery and Popper.js).

Source files

Compile Bootstrap with your own asset pipeline by downloading our source Sass, JavaScript, and documentation files. This option requires some additional tooling:

  • Sass compiler (Libsass or Ruby Sass is supported) for compiling your CSS.
  • for CSS vendor prefixing

Should you require build tools, they are included for developing Bootstrap and its docs, but they’re likely unsuitable for your own purposes.

BootstrapCDN

Skip the download with to deliver cached version of Bootstrap’s compiled CSS and JS to your project.

<link rel="stylesheet" href="http://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<script src="http://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

If you’re using our compiled JavaScript, don’t forget to include CDN versions of jQuery and Popper.js before it.

<script src="http://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="http://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>

Package managers

Pull in Bootstrap’s source files into nearly any project with some of the most popular package managers. No matter the package manager, Bootstrap will require a Sass compiler and 亚洲成人AV 日韩成人a V for a setup that matches our official compiled versions.

npm

Install Bootstrap in your Node.js powered apps with :

npm install bootstrap

require('bootstrap') will load all of Bootstrap’s jQuery plugins onto the jQuery object. The bootstrap module itself does not export anything. You can manually load Bootstrap’s jQuery plugins individually by loading the /js/*.js files under the package’s top-level directory.

Bootstrap’s package.json contains some additional metadata under the following keys:

  • sass - path to Bootstrap’s main source file
  • style - path to Bootstrap’s non-minified CSS that’s been precompiled using the default settings (no customization)

yarn

Install Bootstrap in your Node.js powered apps with :

yarn add bootstrap

RubyGems

Install Bootstrap in your Ruby apps using (recommended) and by adding the following line to your :

gem 'bootstrap', '~> 4.3.1'

Alternatively, if you’re not using Bundler, you can install the gem by running this command:

gem install bootstrap -v 4.3.1

for further details.

Composer

亚洲成人AV 日韩成人a VYou can also install and manage Bootstrap’s Sass and JavaScript using :

composer require twbs/bootstrap:4.3.1

NuGet

亚洲成人AV 日韩成人a VIf you develop in .NET, you can also install and manage Bootstrap’s or and JavaScript using :

Install-Package bootstrap
Install-Package bootstrap.sass